Foreman - Bug #10662

Foreman apidoc index shows mixed language translations
06/01/2015 08:41 AM - Xavier Naveira

Status: Closed
Priority: Normal
Assignee: Dominic Cleal
Category: API
Target version: 1.11.0
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.8.0
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3212
Description

Tested on Foreman 1.8.0 api v2 with firefox and chrome.

The api shows asian characters when using JSONView plugin.

Example: http://imgur.com/LkPjNXs

Associated revisions

Revision 3582159 - 02/22/2016 03:50 AM - Dominic Cleal
fixes #10662 - set default_locale to 'en’
When a default locale isn't set and FastGettext.set_locale() is called

with an unknown locale, it picks the first available. This depends on
the readdir order of locale/, which depends on filesystem behaviour.

Now when generating the default language API docs, they are always in
English and when accessing the web Ul with an unknown language
preference, the 'en' locale is provided.

Revision a355157f - 02/24/2016 12:32 PM - Dominic Cleal

fixes #10662 - set default_locale to 'en’

When a default locale isn't set and FastGettext.set_locale() is called
with an unknown locale, it picks the first available. This depends on

the readdir order of locale/, which depends on filesystem behaviour.
Now when generating the default language API docs, they are always in
English and when accessing the web Ul with an unknown language

preference, the 'en' locale is provided.

(cherry picked from commit f3582159e2bc0cb5cd01741598e6f9a883d8fb9f)

History

#1 - 06/01/2015 08:44 AM - Xavier Naveira

This issue presents itself when querying the api root page: https:/foreman.domain.ext/api/v2/

#2 - 06/01/2015 08:51 AM - Dominic Cleal

- Subject changed from Foreman api output shows asian characters when using JSONView plugin to Foreman apidoc index shows mixed language
translations

| suspect the locale isn't initialised properly from within the apipie-rails controller, as we normally do it in a before_filter on our own controllers.

Also | see this on http://foreman.example.com/apidoc/v2.html which | suppose ought to be English (there are also per-language pages).

#3 - 02/19/2016 08:14 AM - Dominic Cleal
http://imgur.com/LkPjNXs
https://foreman.domain.ext/api/v2/
http://foreman.example.com/apidoc/v2.html

- Status changed from New to Assigned

- Assignee set to Dominic Cleal

#4 - 02/19/2016 08:28 AM - The Foreman Bot
- Status changed from Assigned to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/3212 added

#5 - 02/22/2016 04:01 AM - Dominic Cleal
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset £3582159e2bc0cb5cd01741598e6f9a883d8fb9f.

#6 - 02/22/2016 10:45 AM - Dominic Cleal

- translation missing: en.field_release set to 71
